#ifndef DATA_T_H
#define DATA_T_H

// a meaningless structure to put on the list
class data_t
{
  public:
  // constructors (overloaded)
  data_t(std::string iname="",int iid=-1)
		{ id = iid; name = iname; }

  // copy constructor (using copy constructors of std::string and int)
  data_t(const data_t& rhs) : \
	name(rhs.name), \
	id(rhs.id) \
		{ };

  // destructors (default ok, no 'new' in constructor)
//~data_t();

  // operators (incl. assignment operator)
  const data_t& operator=(const data_t& rhs);

  void setName(const std::string& iname)
  { name = iname; }
  void setId(const int iid)
  { id = iid; }

  std::string getName(void)
  { return name; }
  int getId(void)
  { return id; }

  friend std::ostream& operator<<(std::ostream& s, const data_t& rhs);
  friend std::ostream& operator<<(std::ostream& s, data_t *rhs)
		{ return(s << (*rhs)); }

  private:
  std::string	name;	// data name
  int		id;	// data id code
};

#endif
