#include <iostream>
#include <string>
#include <vector>

#include "data.h"

int main(int argc, char *argv[]);

int main(int argc, char *argv[])
{
        data_t                         data;
        std::vector<data_t>            records;
        std::vector<data_t>::iterator  itr;
        std::string                    name;
        int                            num;

  // read input file consisting of names and id codes adding entities to list
  while(!std::cin.eof()) {
    std::cin >> name >> num;
    if(std::cin.good()) {
      data.setName(name);
      data.setId(num);
//    std::cout << data;
      records.push_back(data);
    }
  }

  // now play it back
  std::cout << "*** printing records" << std::endl;

  for(int i=0; i<records.size(); i++) {
//  std::cout << records[i] << std::endl;
    std::cout << records[i].getName() << " " << records[i].getId() << std::endl;

  }

  // try it again...
  std::cout << "*** printing records again" << std::endl;

  for(itr = records.begin(); itr != records.end(); ++itr) {
//  data = *itr;
//  std::cout << data.getName() << " " << data.getId() << std::endl;
    std::cout << itr->getName() << " " << itr->getId() << std::endl;
  }

  // clear list via STL clear() function (memory leak if data_t used new!!)
  std::cout << "*** deleting records" << std::endl;
  records.clear();

  // nope ... see if we can delete an empty list
  std::cout << "*** deleting records again" << std::endl;
  records.clear();

  // prove we survived
  std::cout << "*** done" << std::endl;
}
